<div class="navbar-container " *ngIf="!router.url.includes('/login')" [ngClass]="{'bg-primary-3': !style_header}">
    <nav class="navbar navbar-expand-lg navbar-dark" data-sticky="top" [ngClass]="{'headerwhite': style_header}">
        <div class="container">
            <a class="navbar-brand navbar-brand-dynamic-color fade-page" routerLink="/">
                <img class="logo-light" src="assets/img/logos/copiwhite.png" alt="" style="border-radius: 50%; width: 40px;">
                <img class="logo-dark" src="assets/img/logos/copigreen.png" alt="" style="border-radius: 50%; width: 40px;">
                <img alt="Logo" style="width: 20%; " src="assets/img/logos/copilogo.png">
            </a>
            <div class="d-flex align-items-center order-lg-3">
                <a class="btn btn-primary ml-lg-4 mr-3 mr-md-4 mr-lg-0 d-none d-sm-block order-lg-3" role="button" routerLink="login" *ngIf="!isUserLoggedIn">Iniciar Sesión</a>
                <div class="mr-2 mb-2 ml-2 foto-menu-usuario">
                    <div data-toggle="dropdown" style="cursor: pointer" aria-expanded="false" aria-haspopup="true" class="dropleft avatar-container" *ngIf="isUserLoggedIn">
                        <img *ngIf="fotouserFB == 'base64 photo' || fotouserFB == null" src="assets/img/avatars/user.png" alt="Avatar" style="height: 2.8rem; width: 2.8rem;" class="avatar">
                        <img *ngIf="fotouserFB" src="{{fotouserFB}}" alt="Avatar" style="height: 2.8rem; width: 2.8rem;" class="avatar">
                        <div class="badge badge-success"></div>
                        <div class="dropdown">
                            <div class="dropdown-menu">
                                <h6 class="dropdown-header">¡Hola, {{nombreuser}}!</h6>
                                <!-- <a class="dropdown-item" href="">Mi cuenta</a> -->
                                <a class="dropdown-item" href="" routerLink="perfil">Mi perfil</a>
                                <a class="dropdown-item" href="" routerLink="solicitudes">Solicitudes recibidas</a>
                                <a class="dropdown-item" href="" routerLink="viajespublicados">Mis viajes</a>
                                <!-- <div class="dropdown-divider"></div>
                                <a class="dropdown-item" href="">Transferencias pendientes</a>
                                <a class="dropdown-item" href=""> Pagos y Reembolsos</a>
                                <div class="dropdown-divider"></div>
                                <a class="dropdown-item" href="">Mensajes</a>
                                <a class="dropdown-item" href="">Alertas</a> -->
                                <div class="dropdown-divider"></div>
                                <a class="dropdown-item" role="button" *ngIf="isUserLoggedIn" (click)="logout()">Cerrar sesión</a>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- <a class="btn btn-primary ml-lg-4 mr-3 mr-md-4 mr-lg-0 d-none d-sm-block order-lg-3" role="button" *ngIf="isUserLoggedIn=='true'" (click)="logout()">Cerrar Sesión</a> -->
                <button id="button-menumovil" style="margin-left: -30px;" aria-expanded="false" aria-label="Toggle navigation" class="navbar-toggler" data-target=".navbar-collapse" data-toggle="collapse" type="button">
                    <img alt="Navbar Toggler Open Icon"  class="navbar-toggler-open icon icon-sm" 
                        src="assets/img/icons/interface/menu.png">
                    <img alt="Navbar Toggler Close Icon" class="navbar-toggler-close icon icon-sm"
                        src="assets/img/icons/interface/close.png">
                </button>
            </div>
            <div class="collapse navbar-collapse order-3 order-lg-2 justify-content-lg-end" id="navigation-menu">
                <ul class="navbar-nav my-3 my-lg-0">
                    <li class="nav-item item-movil pl-2" *ngIf="isUserLoggedIn">
                        <img *ngIf="fotouserFB == 'base64 photo' || fotouserFB == null" src="assets/img/avatars/user.png" alt="Avatar" style="height: 2.8rem; width: 2.8rem;" class="avatar">
                        <img *ngIf="fotouserFB" src="{{fotouserFB}}" alt="Avatar" style="height: 2.8rem; width: 2.8rem;" class="avatar">
                        <a class="nav-link nav-item item-movil mt-1 pl-2" style="color: #009b72; text-align: center" role="button">{{nombreuser}} {{apellidouser}}</a>
                        <div class="dropdown-divider"></div>
                    </li>
                    <li class="nav-item" *ngIf="isUserLoggedIn">
                        <a class="nav-link nav-item" role="button" (click)="buscarViajes()">Buscar viajes</a>
                    </li>
                    <li class="nav-item" *ngIf="isUserLoggedIn">
                        <a class=" nav-link nav-item" role="button" data-toggle="modal" (click)="verificarCoche()">Publicar viaje</a>
                        <a class=" nav-link nav-item" role="button" data-toggle="modal" data-target="#cookies-modal" id="moda-alert" style="display:none">Modal Coche</a>
                    </li>
                    <li class="nav-item" *ngIf="!isUserLoggedIn">
                        <a class=" nav-link nav-item" role="button" routerLink="registro">Registrarse</a>
                    </li>
                    <li class="nav-item item-movil" routerLink="login" *ngIf="!isUserLoggedIn">
                        <a class="nav-link nav-item item-movil" role="button" routerLink="registro">Iniciar sesión</a>
                    </li>
                    <li class="nav-item item-movil" *ngIf="isUserLoggedIn">
                        <a class="nav-link nav-item item-movil" role="button" routerLink="perfil">Mi perfil</a>
                    </li>
                    <li class="nav-item item-movil" *ngIf="isUserLoggedIn">
                        <a class="nav-link nav-item item-movil" role="button" routerLink="solicitudes">Solicitudes recibidas</a>
                    </li>
                    <li class="nav-item item-movil" *ngIf="isUserLoggedIn">
                        <a class="nav-link nav-item item-movil" role="button" routerLink="viajespublicados">Mis viajes</a>
                    </li>
                    <li class="nav-item item-movil" *ngIf="isUserLoggedIn" (click)="logout()">
                        <a class="nav-link nav-item item-movil" role="button">Cerrar sesión</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
</div>